Skip to main content
Server path: /sentry-releases | Type: Application | PCID required: Yes

Tools

ToolDescription
sentry_releases_create_a_deployCreate a deploy for a given release.
sentry_releases_create_a_new_release_for_an_organizationCreate a new release for the given organization. Releases are used by Sentry to improve its error reporting abilities by correlating first seen events with the release that might have introduced the problem. Releases are also necessary for source maps and other debug features that require manual upload for functioning well.
sentry_releases_delete_a_replay_instanceDelete a replay.
sentry_releases_delete_an_organization_s_releasePermanently remove a release and all of its files.
sentry_releases_list_a_release_s_deploysReturns a list of deploys based on the organization, version, and project.
sentry_releases_list_an_organization_release_s_commitsList an organization release’s commits.
sentry_releases_list_an_organization_s_releasesReturn a list of releases for a given organization.
sentry_releases_list_an_organization_s_replaysReturn a list of replays belonging to an organization.
sentry_releases_list_an_organization_s_selectorsReturn a list of selectors for a given organization.
sentry_releases_list_clicked_nodesRetrieve a collection of RRWeb DOM node-ids and the timestamp they were clicked.
sentry_releases_list_recording_segmentsReturn a collection of replay recording segments.
sentry_releases_list_users_who_have_viewed_a_replayReturn a list of users who have viewed a replay.
sentry_releases_retrieve_a_count_of_replays_for_a_given_issue_or_transactionReturn a count of replays for a list of issue or transaction IDs. The query parameter is required. It is a search query that includes exactly one of issue.id, transaction, or replay_id (string or list of strings).
sentry_releases_retrieve_a_replay_instanceReturn details on an individual replay.
sentry_releases_retrieve_an_organization_s_releaseReturn details on an individual release.
sentry_releases_retrieve_files_changed_in_a_release_s_commitsRetrieve files changed in a release’s commits
sentry_releases_retrieve_release_health_session_statisticsReturns a time series of release health session statistics for projects bound to an organization. The interval and date range are subject to certain restrictions and rounding rules. The date range is rounded to align with the interval, and is rounded to at least one hour. The interval can at most be one day and at least one hour currently. It has to cleanly divide one day, for rounding reasons. Because of technical limitations, this endpoint returns at most 10000 data points. For example, if you select a 90 day window grouped by releases, you will see at most floor(10k / (90 + 1)) = 109 releases. To get more results, reduce the statsPeriod.
sentry_releases_update_an_organization_s_releaseUpdate a release. This can change some metadata associated with the release (the ref, url, and dates).

sentry_releases_create_a_deploy

Create a deploy for a given release. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
versionstringYesThe version identifier of the release
dateFinishedstringNoAn optional date that indicates when the deploy ended. If not provided, the current time is used.
dateStartedstringNoAn optional date that indicates when the deploy started
environmentstringYesThe environment you’re deploying to
namestringNoThe optional name of the deploy
projectsstring[]NoThe optional list of project slugs to create a deploy within. If not provided, deploys are created for all of the release’s projects.
urlstringNoThe optional URL that points to the deploy

sentry_releases_create_a_new_release_for_an_organization

Create a new release for the given organization. Releases are used by Sentry to improve its error reporting abilities by correlating first seen events with the release that might have introduced the problem. Releases are also necessary for source maps and other debug features that require manual upload for functioning well. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization.
commitsobject[]NoAn optional list of commit data to be associated with the release. Commits must include parameters id (the SHA of the commit), and can optionally include repository, message, patch_set, author_name, author_email, and timestamp.
dateReleasedstringNoAn optional date that indicates when the release went live. If not provided the current time is assumed.
projectsstring[]YesA list of project slugs that are involved in this release.
refstringNoAn optional commit reference. This is useful if a tagged version has been provided.
refsobject[]NoAn optional way to indicate the start and end commits for each repository included in a release. Head commits must include parameters repository and commit (the HEAD sha). They can optionally include previousCommit (the sha of the HEAD of the previous release), which should be specified if this is the first time you’ve sent commit data. commit may contain a range in the form of previousCommit..commit.
urlstringNoA URL that points to the release. This can be the path to an online interface to the source code for instance
versionstringYesA version identifier for this release. Can be a version number, a commit hash, etc.

sentry_releases_delete_a_replay_instance

Delete a replay. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
replay_idstringYesThe ID of the replay you’d like to retrieve.

sentry_releases_delete_an_organization_s_release

Permanently remove a release and all of its files. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
versionstringYesThe version identifier of the release

sentry_releases_list_a_release_s_deploys

Returns a list of deploys based on the organization, version, and project. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
versionstringYesThe version identifier of the release
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_releases_list_an_organization_release_s_commits

List an organization release’s commits. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the release belongs to.
versionstringYesThe version identifier of the release.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_releases_list_an_organization_s_releases

Return a list of releases for a given organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization.
querystringNoThis parameter can be used to create a “starts with” filter for the version.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

sentry_releases_list_an_organization_s_replays

Return a list of replays belonging to an organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
statsPeriodstringNoThis defines the range of the time series, relative to now. The range is given in a <number><unit> format. For example 1d for a one day range. Possible units are m for minutes, h for hours, d for days and w for weeks. You must either provide a statsPeriod, or a start and end.
startstringNoThis defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds. Use along with end instead of statsPeriod.
endstringNoThis defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds. Use along with start instead of statsPeriod.
fieldstring[]NoSpecifies a field that should be marshaled in the output. Invalid fields will be rejected.
projectinteger[]NoThe ID of the projects to filter by.
projectSlugstring[]NoA list of project slugs to filter your results by.
environmentstringNoThe environment to filter by.
sortstringNoThe field to sort the output by.
sortBystringNoThe field to sort the output by.
orderBystringNoThe field to sort the output by.
querystringNoA structured query string to filter the output by.
per_pageintegerNoLimit the number of rows to return in the result.
cursorstringNoThe cursor parameter is used to paginate results. See here for how to use this query parameter

sentry_releases_list_an_organization_s_selectors

Return a list of selectors for a given organization. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
environmentstring[]NoThe environment to filter by.
statsPeriodstringNoThis defines the range of the time series, relative to now. The range is given in a <number><unit> format. For example 1d for a one day range. Possible units are m for minutes, h for hours, d for days and w for weeks.You must either provide a statsPeriod, or a start and end.
startstringNoThis defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with end instead of statsPeriod.
endstringNoThis defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds.Use along with start instead of statsPeriod.
projectinteger[]NoThe ID of the projects to filter by.
projectSlugstring[]NoA list of project slugs to filter your results by.
sortstringNoThe field to sort the output by.
sortBystringNoThe field to sort the output by.
orderBystringNoThe field to sort the output by.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
per_pageintegerNoLimit the number of rows to return in the result. Default and maximum allowed is 100.
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

sentry_releases_list_clicked_nodes

Retrieve a collection of RRWeb DOM node-ids and the timestamp they were clicked. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
replay_idstringYesThe ID of the replay you’d like to retrieve.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
environmentstring[]NoThe name of environments to filter by.
per_pageintegerNoLimit the number of rows to return in the result. Default and maximum allowed is 100.
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

sentry_releases_list_recording_segments

Return a collection of replay recording segments. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
replay_idstringYesThe ID of the replay you’d like to retrieve.
cursorstringNoA pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
per_pageintegerNoLimit the number of rows to return in the result. Default and maximum allowed is 100.

sentry_releases_list_users_who_have_viewed_a_replay

Return a list of users who have viewed a replay. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
project_id_or_slugstringYesThe ID or slug of the project the resource belongs to.
replay_idstringYesThe ID of the replay you’d like to retrieve.

sentry_releases_retrieve_a_count_of_replays_for_a_given_issue_or_transaction

Return a count of replays for a list of issue or transaction IDs. The query parameter is required. It is a search query that includes exactly one of issue.id, transaction, or replay_id (string or list of strings). Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
environmentstring[]NoThe name of environments to filter by.
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
project_id_or_slugstring[]NoThe project slugs to filter by. Use $all to include all available projects. For example, the following are valid parameters: - /?projectSlug=$all - /?projectSlug=android&projectSlug=javascript-react
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

sentry_releases_retrieve_a_replay_instance

Return details on an individual replay. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
replay_idstringYesThe ID of the replay you’d like to retrieve.
statsPeriodstringNoThis defines the range of the time series, relative to now. The range is given in a <number><unit> format. For example 1d for a one day range. Possible units are m for minutes, h for hours, d for days and w for weeks. You must either provide a statsPeriod, or a start and end.
startstringNoThis defines the start of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds. Use along with end instead of statsPeriod.
endstringNoThis defines the inclusive end of the time series range as an explicit datetime, either in UTC ISO8601 or epoch seconds. Use along with start instead of statsPeriod.
fieldstring[]NoSpecifies a field that should be marshaled in the output. Invalid fields will be rejected.
projectinteger[]NoThe ID of the projects to filter by.
projectSlugstring[]NoA list of project slugs to filter your results by.
environmentstringNoThe environment to filter by.
sortstringNoThe field to sort the output by.
sortBystringNoThe field to sort the output by.
orderBystringNoThe field to sort the output by.
querystringNoA structured query string to filter the output by.
per_pageintegerNoLimit the number of rows to return in the result.
cursorstringNoThe cursor parameter is used to paginate results. See here for how to use this query parameter

sentry_releases_retrieve_an_organization_s_release

Return details on an individual release. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
versionstringYesThe version identifier of the release
project_idstringNoThe project ID to filter by.
healthbooleanNoWhether or not to include health data with the release. By default, this is false.
adoptionStagesbooleanNoWhether or not to include adoption stages with the release. By default, this is false.
summaryStatsPeriodstringNoThe period of time used to query summary stats for the release. By default, this is 14d.
healthStatsPeriodstringNoThe period of time used to query health stats for the release. By default, this is 24h if health is enabled.
sortstringNoThe field used to sort results by. By default, this is date.
statusstringNoRelease statuses that you can filter by.
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

sentry_releases_retrieve_files_changed_in_a_release_s_commits

Retrieve files changed in a release’s commits Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the release belongs to.
versionstringYesThe version identifier of the release.

sentry_releases_retrieve_release_health_session_statistics

Returns a time series of release health session statistics for projects bound to an organization. The interval and date range are subject to certain restrictions and rounding rules. The date range is rounded to align with the interval, and is rounded to at least one hour. The interval can at most be one day and at least one hour currently. It has to cleanly divide one day, for rounding reasons. Because of technical limitations, this endpoint returns at most 10000 data points. For example, if you select a 90 day window grouped by releases, you will see at most floor(10k / (90 + 1)) = 109 releases. To get more results, reduce the statsPeriod. Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
fieldstring[]YesThe list of fields to query. The available fields are - sum(session) - count_unique(user) - avg, p50, p75, p90, p95, p99, max applied to session.duration. For example, p99(session.duration). Session duration is no longer being recorded as of on Jan 12, 2023. Returned data may be incomplete. - crash_rate, crash_free_rate applied to user or session. For example, crash_free_rate(user)
startstringNoThe start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
endstringNoThe end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.
environmentstring[]NoThe name of environments to filter by.
statsPeriodstringNoThe period of time for the query, will override the start & end parameters, a number followed by one of: - d for days - h for hours - m for minutes - s for seconds - w for weeks For example, 24h, to mean query data starting from 24 hours ago to now.
projectinteger[]NoThe IDs of projects to filter by. -1 means all available projects. For example, the following are valid parameters: - /?project=1234&project=56789 - /?project=-1
per_pageintegerNoThe number of groups to return per request.
intervalstringNoResolution of the time series, given in the same format as statsPeriod. The default and the minimum interval is 1h.
groupBystring[]NoThe list of properties to group by. The available groupBy conditions are project, release, environment and session.status.
orderBystringNoAn optional field to order by, which must be one of the fields provided in field. Use - for descending order, for example, -sum(session)
includeTotalsintegerNoSpecify 0 to exclude totals from the response. The default is 1
includeSeriesintegerNoSpecify 0 to exclude series from the response. The default is 1
querystringNoFilters results by using query syntax. Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

sentry_releases_update_an_organization_s_release

Update a release. This can change some metadata associated with the release (the ref, url, and dates). Parameters:
ParameterTypeRequiredDefaultDescription
organization_id_or_slugstringYesThe ID or slug of the organization the resource belongs to.
versionstringYesThe version identifier of the release
commitsobject[]NoAn optional list of commit data to be associated.
dateReleasedstringNoAn optional date that indicates when the release went live. If not provided the current time is used.
refstringNoAn optional commit reference. This is useful if a tagged version has been provided.
refsobject[]NoAn optional way to indicate the start and end commits for each repository included in a release. Head commits must include parameters repository and commit (the HEAD SHA). For GitLab repositories, please use the Group name instead of the slug. They can optionally include previousCommit (the SHA of the HEAD of the previous release), which should be specified if this is the first time you’ve sent commit data.
urlstringNoA URL that points to the release. For instance, this can be the path to an online interface to the source code, such as a GitHub URL.